<?php
function get_friendly_url($string, $extension, $result)
	{
	if (filter_var($string))
		{
		$url_old = array('(í|Í)', '(á|Á)', '(é|É)', '(ö|Ö)', '(ő|Ő)', '(ü|Ü)', '(ű|Ű)', '(ó|Ó)', '(ú|Ú)');
		$url_new = array('i', 'a', 'e', 'o', 'o', 'u', 'u', 'o', 'u');
		$url_regexp = '([^a-zA-Z0-9]+)';

		$result_array = array();
		$slug_array = explode('/', $string);
		foreach ($slug_array as $slug)
			{
			$slug = preg_quote($slug);
			$slug = preg_replace($url_old, $url_new, $slug);

			$slug = strtolower(preg_replace($url_regexp, '-', $slug));
			$slug = preg_replace('/^[\-]+/', '',$slug);
			$slug = preg_replace('/[\-]+$/', '',$slug);

			$result_array[] = $slug;
			}

		$string = implode('/', $result_array);
		if (filter_var($extension))
			{
			$string .= $extension;
			}

		if ($result == 'get')
			{
			return $string;
			}
		elseif ($result == 'print')
			{
			echo $string;
			}
		}
	}

function folder_create($folder)
	{
	$folder = get_friendly_url($folder, '', 'get');

	if (filter_var($folder))
		{
		$folder_steps = '';
		$slug_array = explode('/', $folder);
		foreach ($slug_array as $slug)
			{
			if (filter_var($slug))
				{
				if (filter_var($folder_steps))
					{
					$folder_steps .= '/';
					}

				$folder_steps .= $slug;

				if (!is_dir(__DIR__.'/'.$folder_steps))
					{
					mkdir(__DIR__.'/'.$folder_steps, 0777);
					file_put_contents(__DIR__.'/'.$folder_steps.'/index.php', '<?php'.PHP_EOL.'header("HTTP/1.1 301 Moved Permanently");'.PHP_EOL.'header("Location: ../");'.PHP_EOL.'exit;'.PHP_EOL.'?>', LOCK_EX);
					}
				}
			}
		}
	}

function folder_open($folder)
	{
	$folder = get_friendly_url($folder, '', 'get');

	if (filter_var($folder))
		{
		$folder_steps = '';
		$slug_array = explode('/', $folder);
		foreach ($slug_array as $slug)
			{
			if (filter_var($slug))
				{
				if (filter_var($folder_steps))
					{
					$folder_steps .= '/';
					}

				$folder_steps .= $slug;

				if (!is_dir(__DIR__.'/'.$folder_steps))
					{
					folder_create($folder_steps);
					}
				else
					{
					chmod(__DIR__.'/'.$folder_steps, 0777);
					}
				}
			}
		}
	}

function folder_close($folder)
	{
	$folder = get_friendly_url($folder, '', 'get');

	if (filter_var($folder))
		{
		$slug_array = explode('/', $folder);
		$slug_count = count($slug_array) - 1;
		for ($i = $slug_count; $i >= 0; $i--)
			{
			$folder_steps = '';
			for ($y = 0; $y <= $i; $y++)
				{
				if (filter_var($slug_array[$y]))
					{
					if (filter_var($folder_steps))
						{
						$folder_steps .= '/';
						}

					$folder_steps .= $slug_array[$y];
					}
				}

			if (filter_var($folder_steps))
				{
				if (is_dir(__DIR__.'/'.$folder_steps))
					{
					chmod(__DIR__.'/'.$folder_steps, 0755);
					}
				}
			}
		}
	}

function folder_delete($folder)
	{
	$folder = get_friendly_url($folder, '', 'get');

	if (is_dir(__DIR__.'/'.$folder))
		{
		$dir = opendir(__DIR__.'/'.$folder);
		while (false !== ($filename = readdir($dir)))
			{
			if (($filename != '.') && ($filename != '..'))
				{
				unlink(__DIR__.'/'.$folder.'/'.$filename);
				}
			}

		rmdir(__DIR__.'/'.$folder);
		}
	}

$result_text = '';
if (file_exists(__DIR__.'/innen-masolunk/fajl.txt'))
	{
	folder_open('ide másolunk/még egy mappa');

	if (copy(__DIR__.'/innen-masolunk/fajl.txt', __DIR__.'/'.get_friendly_url('ide másolunk/még egy mappa', '', 'get').'/fajl.txt'))
		{
		$result_text = '<p class="alert alert-success">Sikerült a másolás!</p>';
		}
	else
		{
		$result_text = '<p class="alert alert-danger">Nem sikerült a másolás!</p>';
		}

	folder_close('ide másolunk/még egy mappa');
	//folder_delete('ide másolunk/még egy mappa');
	//folder_delete('ide másolunk');
	}
?>
<!DOCTYPE html>
<html lang="hu-HU">
<head>
	<meta charset="utf-8">

	<title>PHP: Mappaműveletek gyorsan és egyszerűen | Webmestertanfolyam.hu</title>

	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<link type="text/css" rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet" />
	<!--[if lt IE 9]>
		<script type="text/javascript" src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="css/styles.css" rel="stylesheet" />
</head>
<body>
	<div class="navbar navbar-default">
		<div class="container">
			<a class="navbar-brand" href="http://webmestertanfolyam.hu" title="Webmestertanfolyam.hu" target="_blank"><img src="http://webmestertanfolyam.hu/img/logo-demo.png" alt="Webmestertanfolyam.hu" /></a>
			<ul class="nav navbar-nav">
				<li><a href="http://webmestertanfolyam.hu/#tanfolyamaink" title="Tanfolyamaink" target="_blank">Tanfolyamaink</a></li>
				<li><a href="http://webmestertanfolyam.hu/webmester-blog" title="További segédletek" target="_blank">További segédletek</a></li>
			</ul>
		</div>
	</div>

	<div class="container">
		<div class="row">
			<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
				<h4>Mappaművelet eredménye</h4>

				<?php echo $result_text; ?>
			</div>
		</div>

		<hr/>

		<div class="jumbotron text-center">
			<h1>PHP: Mappaműveletek gyorsan és egyszerűen</h1>
			<p class="lead">A demo forrása: <a href="http://webmestertanfolyam.hu" title="webmestertanfolyam.hu" target="_blank">webmestertanfolyam.hu</a></p>
			<p><a class="btn btn-lg btn-success" href="http://webmestertanfolyam.hu/webmester-blog" title="További segédletek" target="_blank">További segédletek</a></p>
		</div>
	</div>

	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
</body>
</html>